"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const loadSnapshot = async ({
  executeStatement,
  escape,
  escapeId,
  snapshotsTableName
}, snapshotKey) => {
  if (snapshotKey == null || snapshotKey.constructor !== String) {
    throw new Error('Snapshot key must be a string');
  }

  const result = await executeStatement(`SELECT ${escapeId('content')} 
    FROM ${escapeId(snapshotsTableName)} 
    WHERE ${escapeId('snapshotKey')} = 
    ${escape(snapshotKey)}`);
  return result.length > 0 && result[0] != null ? result[0].content : null;
};

var _default = loadSnapshot;
exports.default = _default;
//# sourceMappingURL=load-snapshot.js.map